<?php echo '<?xml version="1.0" encoding="utf-8"?>' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>
        <title>phpSQLiteAdmin</title>
        <link rel="stylesheet" type="text/css" media="screen" href="<?php echo common::url('include/css/screen.css'); ?>" />
        <link rel="stylesheet" type="text/css" media="screen" href="<?php echo common::url('include/css/treeview.css'); ?>" />
        <script type="text/javascript" src="<?php echo common::url('include/js/jquery.js'); ?>"></script>
        <script type="text/javascript" src="<?php echo common::url('include/js/treeview.js'); ?>"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("#browser").treeview({ animated: "fast" });
            });
        </script>
        <script type="text/javascript">
            function databases_onchange(selectObj)
            {
                var options = selectObj.options[selectObj.selectedIndex].value.split(':');
                var dbName  = selectObj.options[selectObj.selectedIndex].text;
                if (options[0] == '1')
                {
                    if (options[1] == '0') alert('<?php echo common::lang('Warning! This database is read-only.') ?>');
                    top.rightFrame.location.href = '<?php echo common::url('index.php'); ?>?do=9&database=' + options[2];
                    location.href = '<?php echo common::url('index.php?do=8'); ?>&database=' + options[2] + '&name=' + encodeURIComponent(dbName);
                }
                else alert('Cannot find database! Check path and try again.');
                selectObj.selectedIndex = 0;
            }
        </script>
    </head>
    <body class="leftFrame">
        <div style="text-align: center">
            <div id="logo">
                <a href="<?php echo common::url('index.php'); ?>" target="_main"><img style="border:0px" src="./images/logo_left.png" alt="phpSQLiteAdmin" /></a>
            </div>
            <div id="leftframelinks">
                <a href="<?php echo common::url('index.php'); ?>" target="_main" title="<?php echo common::lang('Home') ?>"><img src="./images/button_home.png" class="buttons" alt="<?php echo common::lang('Home') ?>" /></a>
                <?php
                if ($config['authentication']['enabled'])
                {
                    ?>
                    <a href="<?php echo common::url('index.php?do=12'); ?>" title="<?php echo common::lang('Log out') ?>" target="_main"><img src="./images/button_loggoff.png" class="buttons" alt="<?php echo common::lang('Log out') ?>" /></a>
                    <?php
                }
                ?>
                <a href="http://www.sqlite.org/docs.html" target="_blank" title="<?php echo common::lang('SQLite documentation') ?>"><img class="buttons" src="./images/button_help.png" alt="<?php echo common::lang('SQLite documentation') ?>" /></a>
                <a href="http://www.userdot.net/projects/phpsqliteadmin" target="_blank" title="<?php echo common::lang('phpSQLiteAdmin documentation') ?>"><img class="buttons" src="./images/button_doc.png" alt="<?php echo common::lang('phpSQLiteAdmin documentation') ?>" /></a>
            </div>
            <div id="databaseSelect">
                <select name="databases" style="font-size: 14px; width:170px;background-color:#EEEEEE; border: 1px solid #aaa; padding: 3px" onchange="databases_onchange(this)">
                    <option value="">- <?php echo common::lang('select a database') ?> -</option>
                    <?php
                    foreach ($databases as $db)
                    {
                        ?>
                        <option value="<?php echo $db['exists']; ?>:<?php echo $db['writeable']; ?>:<?php echo rawurlencode($db['path']); ?>"><?php echo $db['name']; ?></option>
                        <?php
                    }
                    ?>
                </select>
            </div>
            <?php
            echo common::generateMenuDB($_SESSION['database']);
            ?>
        </div>
    </body>
</html>