<?php echo '<?xml version="1.0" encoding="utf-8"?>' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>
        <title><?php echo $title; ?></title>
        <meta http-equiv="Content-Type" content="text/html;charset=<?php echo $characterSet; ?>" />
        <link rel="stylesheet" type="text/css" media="screen" href="<?php echo common::url('include/css/screen.css'); ?>" />
        <link rel="stylesheet" type="text/css" media="screen" href="<?php echo common::url('include/css/jqueryui.css'); ?>" />
        <script type="text/javascript" src="<?php echo common::url('include/js/jquery.js'); ?>"></script>
        <script type="text/javascript" src="<?php echo common::url('include/js/jqueryui.js'); ?>"></script>
        <script type="text/javascript" src="<?php echo common::url('include/js/application.js'); ?>"></script>
        <script type="text/javascript">
            $(function() {
                $("#newtabs").tabs();
            });
        </script>
    </head>
    <body>
        <div class="container">
            <?php
            if ($error_msg != '')
            {
                ?>
                <div id="message" class="ui-state-highlight ui-corner-all" style="padding: 10px 0.7em; margin-top: 20px;">
                    <p><span class="ui-icon ui-icon-info" style="float: left; margin-right: 0.3em;"></span><?php echo $error_msg; ?></p>
                </div>
                <script type="text/javascript">
                    setTimeout(function() { $('#message').fadeOut('slow'); }, 5000);
                </script>
                <?php
            }
            ?>
            <?php include($template); ?>
        </div>
        <div id="footer">
            <p><a href="http://www.userdot.net/projects/phpsqliteadmin" rel="external">phpSQLiteAdmin</a> &copy; 2004-2011 <a href="http://www.userdot.net">UserDot</a>. Distributed under GPL.</p>
        </div>
    </body>
</html>