<div style="margin-bottom:20px; padding: 5px; width: 25%" class="ui-dialog-titlebar ui-widget-header ui-corner-all ui-helper-clearfix"><?php echo common::lang('Table query for') . ' <i>' . $tableName . '</i>' ?></div>
<?php echo common::generateMenu($tableName, 3) ?>
<div id="main">
    <form action="index.php?do=1" method="post">
        <input type="hidden" name="<?php echo session_name(); ?>" value="<?php echo session_id(); ?>" />
        <input type="hidden" name="table" value="<?php echo $tableName ?>" />
        <table border="0">
            <tr>
                <td class="labela" valign="top"><?php echo common::lang('Query'); ?></td>
                <td>
                    <textarea id="queryArea" name="sql"><?php echo htmlspecialchars($origSql); ?></textarea>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="right">
                    <input class="button ui-corner-all" type="submit" value="<?php echo common::lang('Execute Query'); ?>" />
                </td>
            </tr>
        </table>
    </form>
    <?php
    if ($querySuccessful)
    {
        if ($queryHasResults)
        {
            ?>
            <table border="0" style="width:100%" class="results">
                <?php
                foreach ($resultsTable as $row)
                {
                    ?>
                    <tr>
                        <?php
                        if (!$headersWritten)
                        {
                            $headersWritten = true;
                            if ($showEditDelete)
                            {
                                ?>
                                <th class="actions">&nbsp;</th>
                                <?php
                            }
                            foreach ($headers as $h)
                            {
                                ?>
                                <th><?php echo $h; ?></th>
                                <?php
                            }
                            ?>
                        </tr>
                        <tr>
                            <?php
                        }
                        foreach ($row as $c)
                        {
                            ?>
                            <td><?php
                if ($c != '')
                    echo $c; else
                    echo '&nbsp;';
                            ?></td>
                            <?php
                        }
                        ?>
                    </tr>
                    <?php
                }
                ?>
            </table>
        </div>
        <?php
    }
}
elseif ($querySuccessful === false)
{
    ?>
    <?php echo common::lang('Error!') ?> (<?php echo $DB->get_last_error(); ?>)
    <?php
}
?>